   10 REM     GLUBOOT1.BAS: COPYRIGHT 2024 BY GLUON
   20 REM
   30 REM SIMPLE BOOT SCREEN FOR THE AGONLIGHT COMPUTER
   40 REM USING FAMOUS MODE 7 (TELETEXT) TO SAVE MEMORY
   50 REM
   60 REM CUSTOMISE VARS BELOW TO SET YOUR OWN DEFAULTS
   70 REM VMODE% -> THE VISUAL MODE SELECTED BY DEFAULT
   80 REM VOL% -> THE VOLUME OF THE TUNE (0 TO DISABLE)
   90 :
  100 VMODE%=3
  110 VOL%=-1
  120 :
  130 MODE 7
  140 _$=INKEY$(250)
  150 CLS
  160 PROC_SHOW_HEADER
  170 PROC_SHOW_STATS
  180 PROC_SHOW_MODES
  190 PRINT TAB(9,24);CHR$(136);"PICK MODE (A..M): ";
  200 OPT$=INKEY$(1000)
  210 IF OPT$="A" OR OPT$="a" THEN VMODE%=0
  220 IF OPT$="B" OR OPT$="b" THEN VMODE%=1
  230 IF OPT$="C" OR OPT$="c" THEN VMODE%=2
  240 IF OPT$="D" OR OPT$="d" THEN VMODE%=3
  250 IF OPT$="E" OR OPT$="e" THEN VMODE%=4
  260 IF OPT$="F" OR OPT$="f" THEN VMODE%=5
  270 IF OPT$="G" OR OPT$="g" THEN VMODE%=6
  280 IF OPT$="H" OR OPT$="h" THEN VMODE%=7
  290 IF OPT$="I" OR OPT$="i" THEN VMODE%=8
  300 IF OPT$="J" OR OPT$="j" THEN VMODE%=9
  310 IF OPT$="K" OR OPT$="k" THEN VMODE%=10
  320 IF OPT$="L" OR OPT$="l" THEN VMODE%=11
  330 IF OPT$="M" OR OPT$="m" THEN VMODE%=12
  340 MODE VMODE%
  350 COLOUR 15 : COLOUR 132
  360 CLS
  370 END
  380 :
  390 DEF PROC_SHOW_HEADER
  400 PRINT TAB(8,1);CHR$(141);CHR$(129);"WELCOME TO AGONLIGHT"
  410 PRINT TAB(8,2);CHR$(141);CHR$(129);"WELCOME TO AGONLIGHT"
  420 PROC_PLAY_TUNE
  430 PRINT TAB(8,3);CHR$(141);CHR$(145);"pp";CHR$(146);"pp";CHR$(147);"pp";CHR$(148);"pp";CHR$(149);"pp";CHR$(150);"pp";CHR$(151);"pp"
  440 PRINT TAB(8,4);CHR$(141);CHR$(145);"pp";CHR$(146);"pp";CHR$(147);"pp";CHR$(148);"pp";CHR$(149);"pp";CHR$(150);"pp";CHR$(151);"pp"
  450 ENDPROC
  460 :
  470 DEF PROC_PLAY_TUNE
  480 FOR I=1 TO 18
  490   PRINT TAB(I+8,3);CHR$(141);CHR$(145);"pp"
  500   PRINT TAB(I+8,4);CHR$(141);CHR$(145);"pp"
  510   A=RND(255)
  520   SOUND 1,VOL%,A,1
  530 NEXT I
  540 ENDPROC
  550 :
  560 DEF PROC_SHOW_STATS
  570 FREE=INT(((HIMEM-LOMEM)/1000)+0.5)
  580 PRINT TAB(9,6);CHR$(131);"CPU:    eZ80 @ 20MHz"
  590 PRINT TAB(9,7);CHR$(131);"RAM:   512KB (TOTAL)"
  600 PRINT TAB(9,8);CHR$(131);"FREE:   ";FREE;"KB (BASIC)"
  610 ENDPROC
  620 :
  630 DEF PROC_SHOW_MODES
  640 PRINT TAB(0,10);CHR$(130);"A -> MODE  0 - 80x60: 16C 640x480 60Hz"
  650 PRINT TAB(0,11);CHR$(130);"B -> MODE  1 - 80x60:  4C 640x480 60Hz"
  660 PRINT TAB(0,12);CHR$(130);"C -> MODE  2 - 80x60:  2C 640x480 60Hz"
  670 PRINT TAB(0,13);CHR$(130);"D -> MODE  3 - 80x30: 64C 640x240 60Hz"
  680 PRINT TAB(0,14);CHR$(130);"E -> MODE  4 - 80x30: 16C 640x240 60Hz"
  690 PRINT TAB(0,15);CHR$(130);"F -> MODE  5 - 80x30:  4C 640x240 60Hz"
  700 PRINT TAB(0,16);CHR$(130);"G -> MODE  6 - 80x30:  2C 640x240 60Hz"
  710 PRINT TAB(0,17);CHR$(130);"H -> MODE  7 - 40x25: 16C 320x240 60Hz"
  720 PRINT TAB(0,18);CHR$(130);"I -> MODE  8 - 40x30: 64C 320x240 60Hz"
  730 PRINT TAB(0,19);CHR$(130);"J -> MODE  9 - 40x30: 16C 320x240 60Hz"
  740 PRINT TAB(0,20);CHR$(130);"K -> MODE 10 - 40x30:  4C 320x240 60Hz"
  750 PRINT TAB(0,21);CHR$(130);"L -> MODE 11 - 40x30:  2C 320x240 60Hz"
  760 PRINT TAB(0,22);CHR$(130);"M -> MODE 12 - 40X25: 64C 320x200 70Hz"
  770 ENDPROC

